Bug 502404 - Review Request: lxsession - Lightweight X11 session manager
Review Request: lxsession - Lightweight X11 session manager
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Susi Lehtola
Fedora Extras Quality Assurance
:
Depends On:
Blocks: LXDE
  Show dependency treegraph
 
Reported: 2009-05-24 18:26 EDT by Christoph Wickert
Modified: 2009-08-07 01:01 EDT (History)
3 users (show)

See Also:
Fixed In Version: 0.3.8-1.fc10
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-06-15 22:25:32 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
susi.lehtola: fedora‑review+
tibbs: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Christoph Wickert 2009-05-24 18:26:08 EDT
Spec URL: http://cwickert.fedorapeople.org/review/lxsession.spec
SRPM URL: http://cwickert.fedorapeople.org/review/lxsession-0.3.8-1.fc11.src.rpm
Description: 
LXSession is a standard-compliant X11 session manager with shutdown/
reboot/suspend support via HAL. In connection with gdm it also supports user 
switching.

LXSession is derived from XSM and is developed as default X11 session manager 
of LXDE, the Lightweight X11 Desktop Environment. Though being part of LXDE, 
it's totally desktop-independent and only has few dependencies.


Note: This is a re-review because the package was renamed upstream from lxsession-lite, see https://bugzilla.redhat.com/show_bug.cgi?id=477719
Comment 1 Susi Lehtola 2009-05-25 11:25:08 EDT
rpmlint output is clean.


MUST: The spec file for the package is legible and macros are used consistently. OK
MUST: The package must be named according to the Package Naming Guidelines. OK
MUST: The spec file name must match the base package %{name}. OK
MUST: The package must be licensed with a Fedora approved license and meet the  Licensing Guidelines. OK
MUST: The License field in the package spec file must match the actual license. OK
MUST: The sources used to build the package must match the upstream source, as provided in the spec URL. OK
MUST: The package MUST successfully compile and build into binary rpms. OK
MUST: The spec file MUST handle locales properly. OK
MUST: Optflags are used and time stamps preserved. OK
MUST: Packages containing shared library files must call ldconfig. N/A
MUST: A package must own all directories that it creates or require the package that owns the directory. OK
MUST: Files only listed once in %files listings. OK
MUST: Debuginfo package is complete. OK
MUST: Permissions on files must be set properly. OK
MUST: Clean section exists. OK
MUST: Large documentation files must go in a -doc subpackage. OK
MUST: All relevant items are included in %doc. Items in %doc do not affect runtime of application. OK
MUST: Header files must be in a -devel package. N/A
MUST: Static libraries must be in a -static package. N/A
MUST: Packages containing pkgconfig(.pc) files must 'Requires: pkgconfig'. N/A
MUST: If a package contains library files with a suffix then library files ending in .so must go in a -devel package. N/A
MUST: In the vast majority of cases, devel packages must require the base package using a fully versioned dependency. N/A
MUST: Packages does not contain any .la libtool archives. N/A
MUST: Desktop files are installed properly. N/A
MUST: No file conflicts with other packages and no general names. OK
MUST: Buildroot cleaned before install. OK
SHOULD: %{?dist} tag is used in release. OK
SHOULD: If the package does not include license text(s) as separate files from upstream, the packager should query upstream to include it. OK
SHOULD: The package builds in mock. OK


- Package obsoletes lxsession-lite <= 0.3.6-6 and provides it, thus replacing the old package. OK


APPROVED
Comment 2 Christoph Wickert 2009-05-25 12:31:45 EDT
New Package CVS Request
=======================
Package Name: lxsession
Short Description: Lightweight X11 session manager
Owners: cwickert
Branches: F-10 F-11
InitialCC:
Comment 3 Jason Tibbitts 2009-05-26 18:35:47 EDT
CVS done.
Comment 4 Fedora Update System 2009-05-26 20:10:24 EDT
lxsession-0.3.8-1.fc11 has been submitted as an update for Fedora 11.
http://admin.fedoraproject.org/updates/lxsession-0.3.8-1.fc11
Comment 5 Fedora Update System 2009-05-26 20:10:55 EDT
lxsession-0.3.8-1.fc10 has been submitted as an update for Fedora 10.
http://admin.fedoraproject.org/updates/lxsession-0.3.8-1.fc10
Comment 6 Fedora Update System 2009-05-28 03:57:22 EDT
lxsession-0.3.8-1.fc11 has been pushed to the Fedora 11 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update lxsession'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F11/FEDORA-2009-5541
Comment 7 Fedora Update System 2009-05-28 04:14:17 EDT
lxsession-0.3.8-1.fc10 has been pushed to the Fedora 10 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update lxsession'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F10/FEDORA-2009-5623
Comment 8 Fedora Update System 2009-06-15 22:25:27 EDT
lxsession-0.3.8-1.fc11 has been pushed to the Fedora 11 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 9 Fedora Update System 2009-08-07 01:00:57 EDT
lxsession-0.3.8-1.fc10 has been pushed to the Fedora 10 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.